Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6100 - RH6.1 screen uses non UNIX98 ptys with DANGEROUS permissions
Summary: RH6.1 screen uses non UNIX98 ptys with DANGEROUS permissions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: screen
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-19 21:23 UTC by Chris Evans
Modified: 2014-03-17 02:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-10-21 19:57:17 UTC


Attachments (Terms of Use)

Description Chris Evans 1999-10-19 21:23:23 UTC
I have a full RH6.1 install.
As a user I run "screen".
I notice I get allocated "/dev/ttya0", and the permissions
are -rw-rw-rw-, owned by root. This is very dangerous! It
looks like screen has failed to use /dev/pts/0 (UNIX98 pty
support).
xterm and rxvt handle pty's correctly, screen should mimic
their behaviour.

PS. I like screen's usage of user-private .screen
directories, much better.

Comment 1 Bill Nottingham 1999-10-21 19:57:59 UTC
Fixed in screen-3.9.4-3, in the errata.

(As an aside, using the user private .screen directories, while
more secure, breaks on Linux<->non-Linux NFS. :( )


Note You need to log in before you can comment on or make changes to this bug.